- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- TestType
- ResultType
- TestConnectionAssignmentError
Tests a single GoldengateConnectionAssignment.
HTTP request
POST https://oracledatabase.googleapis.com/v1/{name=projects/*/locations/*/goldengateConnectionAssignments/*}:test The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the connection assignment for which to test connection. projects/{project}/locations/{region}/goldengateConnectionAssignments/{goldengateConnectionAssignment} |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"type": enum ( |
| Fields | |
|---|---|
type |
Optional. The type of the test of the assigned connection. The only type actually supported is DEFAULT. |
Response body
The result of the connectivity test performed between the Goldengate deployment and the associated database / service.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "resultType": enum ( |
| Fields | |
|---|---|
resultType |
Type of the result i.e. Success, Failure or Timeout. |
error |
Error details if test connection failed. |
errors[] |
List of test connection assignment error objects. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/oracle-database
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
oracledatabase.goldenGateConnectionAssignments.test
For more information, see the IAM documentation.
TestType
The type of test to perform.
| Enums | |
|---|---|
TEST_TYPE_UNSPECIFIED |
The default value. This value is unused. |
DEFAULT |
The default connection test. |
ResultType
Type of the result.
| Enums | |
|---|---|
RESULT_TYPE_UNSPECIFIED |
Result type is unspecified. |
SUCCEEDED |
Test connection succeeded. |
FAILED |
Test connection failed. |
TIMED_OUT |
Test connection timed out. |
TestConnectionAssignmentError
Error details for goldengateConnectionAssignments.test.
| JSON representation |
|---|
{ "code": string, "message": string, "action": string, "issue": string } |
| Fields | |
|---|---|
code |
A short error code that defines the error, meant for programmatic parsing. |
message |
A human-readable error message. |
action |
The text describing the action required to fix the issue. |
issue |
The text describing the root cause of the reported issue. |